Name:           perl-Test-mysqld
Version:        0.17
Release:        3%{?dist}
Summary:        Mysqld runner for tests
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-mysqld/

Source0:        http://search.cpan.org/CPAN/authors/id/K/KA/KAZUHO/Test-mysqld-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)

# Run-time
BuildRequires:  perl(Class::Accessor::Lite)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(File::Copy::Recursive)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(DBI)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
%if 0%{?el6}
BuildRequires:  mysql-server
%else
BuildRequires:  mysql-compat-server
%endif

# Testing
BuildRequires:  perl(DBD::mysql)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::SharedFork) >= 0.06

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(DBD::mysql)
Requires:       perl(File::Basename)
Requires:       perl(File::Spec)
%if 0%{?el6}
Requires:       mysql-server
%else
Requires:       mysql-compat-server
%endif

%description
Test::mysqld automatically setups a mysqld instance in a temporary
directory, and destroys it when the perl script exits.

%prep
%setup -q -n Test-mysqld-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Wed Nov 18 2015 Denis Fateyev <denis@fateyev.com> - 0.17-3
- Small spec cleanup

* Wed Nov 18 2015 Denis Fateyev <denis@fateyev.com> - 0.17-2
- Fixing mysql-server dependency, RHBZ #1282956

* Mon Nov 16 2015 Denis Fateyev <denis@fateyev.com> - 0.17-1
- Initial release
